Set Secret Manager Source
API server
https://app.coolify.io/api/v1Link a secret manager token of the team to an application, service, or database, or change the token or settings of the link. References resolve at the next deployment.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
Resource type.
"applications" | "services" | "databases"Resource UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Doppler service account: project, config. Infisical: project_id, environment, secret_path. Vault: mount, path.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://app.coolify.io/api/v1/applications/string/secret-manager" \ -H "Content-Type: application/json" \ -d '{ "integration_token_uuid": "string" }'{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}Remove Secret Manager Source DELETE
Remove the secret manager source. Existing {{vault.*}} variables stay and fail the next deployment until they are removed.
Check server import GET
Check that this instance can import a server, before the source instance starts the transfer. It checks the token, the bundle version, the server limit, servers with the same UUID or IP, and that this instance can reach the SSH port of the server.
